VTK: vtkWin32OpenGLDXRenderWindow Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkWin32OpenGLDXRenderWindow Class Reference

VTK render window providing OpenGL-DirectX interop. More...

`#include <vtkWin32OpenGLDXRenderWindow.h>`

Inheritance diagram for vtkWin32OpenGLDXRenderWindow:
[legend]
Collaboration diagram for vtkWin32OpenGLDXRenderWindow:
[legend]

## Public Types
typedef vtkWin32OpenGLRenderWindow | Superclass
Public Types inherited from vtkWin32OpenGLRenderWindow
typedef vtkOpenGLRenderWindow | Superclass
Public Types inherited from vtkOpenGLRenderWindow
enum | FrameBlitModes { BlitToHardware , BlitToCurrent , NoBlit }
| Define how the resulting image should be blitted when at the end of the Frame() call if SwapBuffers is true. More...
typedef vtkRenderWindow | Superclass
Public Types inherited from vtkRenderWindow
typedef vtkWindow | Superclass
Public Types inherited from vtkWindow
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkWin32OpenGLDXRenderWindow * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Initialize () override
| Overridden to create the D3D device, context and texture. More...
void | Lock ()
| Lock/Unlock the shared texture. More...
void | Unlock ()
| Lock/Unlock the shared texture. More...
void | RegisterSharedTexture (unsigned int textureHandle)
| Register/Unregister the OpenGL texture designated by `textureHandle` with this render window internal D3D shared texture. More...
void | UnregisterSharedTexture ()
| Register/Unregister the OpenGL texture designated by `textureHandle` with this render window internal D3D shared texture. More...
void | SetSize (int width, int height) override
| Overridden to resize the internal D3D shared texture. More...
void | SetMultiSamples (int samples) override
| Overridden to update the internal D3D shared texture. More...
void | BlitToTexture (ID3D11Texture2D *texture)
| Blits the internal D3D shared texture into `texture`. More...
ID3D11Device * | GetDevice ()
| Returns the D3D device associated to this render window. More...
ID3D11Texture2D * | GetD3DSharedTexture ()
| Returns the D3D texture shared with this render window. More...
void | SetAdapterId (LUID uid)
| Specify the DGXI adapter to be used for initialization. More...
Public Member Functions inherited from vtkWin32OpenGLRenderWindow
vtkWin32OpenGLRenderWindow * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Frame () override
| End the rendering process and display the image. More...
virtual void | WindowInitialize ()
| Create the window. More...
void | Initialize () override
| Initialize the rendering window. More...
void | Finalize () override
| Finalize the rendering window. More...
void | SetFullScreen (vtkTypeBool) override
| Change the window to fill the entire screen. More...
void | WindowRemap () override
| Remap the window. More...
void | SetShowWindow (bool val) override
| Show or not Show the window. More...
virtual void | PrefFullScreen ()
| Set the preferred window size to full screen. More...
int * | GetSize () override
| Get the size (width and height) of the rendering window in screen coordinates (in pixels). More...
int * | GetScreenSize () override
| Get the current size of the screen in pixels. More...
int * | GetPosition () override
| Get the position (x and y) of the rendering window in screen coordinates (in pixels). More...
void | SetWindowName (const char *) override
| Set the name of the window. More...
void | SetIcon (vtkImageData *img) override
| Set the icon displayed in the title bar and the taskbar. More...
void | SetWindowInfo (const char *) override
| Set this RenderWindow's window id to a pre-existing window. More...
void | SetNextWindowInfo (const char *) override
| Sets the WindowInfo that will be used after a WindowRemap. More...
void | SetParentInfo (const char *) override
| Sets the HWND id of the window that WILL BE created. More...
void * | GetGenericDisplayId () override
| Dummy stubs for vtkWindow API. More...
void * | GetGenericWindowId () override
| Dummy stubs for vtkWindow API. More...
void * | GetGenericParentId () override
| Dummy stubs for vtkWindow API. More...
void * | GetGenericContext () override
| Dummy stubs for vtkWindow API. More...
void * | GetGenericDrawable () override
| Dummy stubs for vtkWindow API. More...
void | SetDisplayId (void *) override
| Dummy stubs for vtkWindow API. More...
HWND | GetWindowId ()
| Get the window id. More...
bool | InitializeFromCurrentContext () override
| Initialize the render window from the information associated with the currently activated OpenGL context. More...
bool | GetPlatformSupportsRenderWindowSharing () override
| Does this platform support render window data sharing. More...
void | SetContextId (HGLRC)
void | SetDeviceContext (HDC)
void | SetNextWindowId (HWND)
| Set the window id of the new window once a WindowRemap is done. More...
void | SetNextWindowId (void *arg) override
| Set the window id of the new window once a WindowRemap is done. More...
void | SetStereoCapableWindow (vtkTypeBool capable) override
| Prescribe that the window be created in a stereo-capable mode. More...
void | MakeCurrent () override
| Make this windows OpenGL context the current context. More...
void | ReleaseCurrent () override
| Release the current context. More...
bool | IsCurrent () override
| Tells if this window is the current OpenGL context for the calling thread. More...
const char * | ReportCapabilities () override
| Get report of capabilities for the render window. More...
vtkTypeBool | IsDirect () override
| Is this render window using hardware acceleration? 0-false, 1-true. More...
vtkTypeBool | GetEventPending () override
| Check to see if a mouse button has been pressed or mouse wheel activated. More...
void | Clean ()
| Clean up device contexts, rendering contexts, etc. More...
void | SetCurrentCursor (int) override
| Change the shape of the cursor. More...
bool | DetectDPI () override
| Attempt to detect and set the DPI of the display device by querying the system. More...
bool | SetSwapControl (int i) override
| Set the number of vertical syncs required between frames. More...
void | SetSize (int width, int height) override
| Set the size (width and height) of the rendering window in screen coordinates (in pixels). More...
void | SetSize (int a[2]) override
| Set the size (width and height) of the rendering window in screen coordinates (in pixels). More...
void | SetPosition (int x, int y) override
| Set the position (x and y) of the rendering window in screen coordinates (in pixels). More...
void | SetPosition (int a[2]) override
| Set the position (x and y) of the rendering window in screen coordinates (in pixels). More...
void | SetWindowId (HWND)
| Set the window id to a pre-existing window. More...
void | SetWindowId (void *foo) override
| Set the window id to a pre-existing window. More...
void | SetParentId (HWND)
| Set the window's parent id to a pre-existing window. More...
void | SetParentId (void *foo) override
| Set the window's parent id to a pre-existing window. More...
virtual void | SetupPalette (HDC hDC)
| Initialize OpenGL for this window. More...
virtual void | SetupPixelFormatPaletteAndContext (HDC hDC, DWORD dwFlags, int debug, int bpp=16, int zbpp=16)
| Initialize OpenGL for this window. More...
void | HideCursor () override
| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. More...
void | ShowCursor () override
| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. More...
void | SetCursorPosition (int x, int y) override
| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. More...
void | PushContext () override
| Ability to push and pop this window's context as the current context. More...
void | PopContext () override
| Ability to push and pop this window's context as the current context. More...
Public Member Functions inherited from vtkOpenGLRenderWindow
vtkOpenGLRenderWindow * | NewInstance () const
void | Start () override
| Begin the rendering process. More...
const char * | GetRenderingBackend () override
| What rendering backend has the user requested. More...
void | ActivateTexture (vtkTextureObject *)
| Activate a texture unit for this texture. More...
void | DeactivateTexture (vtkTextureObject *)
| Deactivate a previously activated texture. More...
int | GetTextureUnitForTexture (vtkTextureObject *)
| Get the texture unit for a given texture object. More...
int | GetDepthBufferSize () override
| Get the size of the depth buffer. More...
bool | GetUsingSRGBColorSpace ()
| Is this window/fo in sRGB colorspace. More...
int | GetColorBufferSizes (int *rgba) override
| Get the size of the color buffer. More...
int | GetColorBufferInternalFormat (int attachmentPoint)
| Get the internal format of current attached texture or render buffer. More...
virtual void | OpenGLInit ()
| Initialize OpenGL for this window. More...
virtual void | OpenGLInitState ()
virtual void | OpenGLInitContext ()
void | GetOpenGLVersion (int &major, int &minor)
| Get the major and minor version numbers of the OpenGL context we are using ala 3.2, 3.3, 4.0, etc... More...
virtual vtkMTimeType | GetContextCreationTime ()
| Get the time when the OpenGL context was created. More...
vtkOpenGLShaderCache * | GetShaderCache ()
| Returns an Shader Cache object. More...
vtkOpenGLVertexBufferObjectCache * | GetVBOCache ()
| Returns the VBO Cache. More...
virtual vtkOpenGLFramebufferObject * | GetDisplayFramebuffer ()
| Returns the display framebuffer object. More...
vtkTextureUnitManager * | GetTextureUnitManager ()
| Returns its texture unit manager object. More...
void | WaitForCompletion () override
| Block the thread until the actual rendering is finished(). More...
virtual void | DrawPixels (int x1, int y1, int x2, int y2, int numComponents, int dataType, void *data)
| Replacement for the old glDrawPixels function. More...
virtual void | DrawPixels (int dstXmin, int dstYmin, int dstXmax, int dstYmax, int srcXmin, int srcYmin, int srcXmax, int srcYmax, int srcWidth, int srcHeight, int numComponents, int dataType, void *data)
| Replacement for the old glDrawPixels function, but it allows for scaling the data and using only part of the texture. More...
virtual void | DrawPixels (int srcWidth, int srcHeight, int numComponents, int dataType, void *data)
| Replacement for the old glDrawPixels function. More...
virtual float | GetMaximumHardwareLineWidth ()
| Return the largest line width supported by the hardware. More...
virtual bool | IsPointSpriteBugPresent ()
| Returns true if driver has an EGL/OpenGL bug that makes vtkChartsCoreCxx-TestChartDoubleColors and other tests to fail because point sprites don't work correctly (gl_PointCoord is undefined) unless glEnable(GL_POINT_SPRITE) More...
int | GetDefaultTextureInternalFormat (int vtktype, int numComponents, bool needInteger, bool needFloat, bool needSRGB)
| Get a mapping of vtk data types to native texture formats for this window we put this on the RenderWindow so that every texture does not have to build these structures themselves. More...
std::string | GetOpenGLSupportMessage ()
| Return a message profiding additional details about the results of calling SupportsOpenGL() This can be used to retrieve more specifics about what failed. More...
int | SupportsOpenGL () override
| Does this render window support OpenGL? 0-false, 1-true. More...
void | RegisterGraphicsResources (vtkGenericOpenGLResourceFreeCallback *cb)
void | UnregisterGraphicsResources (vtkGenericOpenGLResourceFreeCallback *cb)
virtual vtkOpenGLState * | GetState ()
vtkOpenGLBufferObject * | GetTQuad2DVBO ()
int | GetNoiseTextureUnit ()
void | End () override
| Update the system, if needed, at end of render process. More...
void | Render () override
| Handle opengl specific code and calls superclass. More...
void | StereoMidpoint () override
| Intermediate method performs operations required between the rendering of the left and right eye. More...
bool | GetBufferNeedsResolving ()
void | ReleaseGraphicsResources (vtkWindow *) override
| Free up any graphics resources associated with this window a value of NULL means the context may already be destroyed. More...
void | BlitDisplayFramebuffer ()
| Blit a display framebuffer into a currently bound draw destination. More...
void | BlitDisplayFramebuffer (int right, int srcX, int srcY, int srcWidth, int srcHeight, int destX, int destY, int destWidth, int destHeight, int bufferMode, int interpolation)
| Blit a display buffer into a currently bound draw destination. More...
unsigned char * | GetPixelData (int x, int y, int x2, int y2, int front, int right) override
| Set/Get the pixel data of an image, transmitted as RGBRGB... More...
int | GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data, int right) override
| Set/Get the pixel data of an image, transmitted as RGBRGB... More...
int | SetPixelData (int x, int y, int x2, int y2, unsigned char *data, int front, int right) override
| Set/Get the pixel data of an image, transmitted as RGBRGB... More...
int | SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int right) override
| Set/Get the pixel data of an image, transmitted as RGBRGB... More...
float * | GetRGBAPixelData (int x, int y, int x2, int y2, int front, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
int | GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
int | SetRGBAPixelData (int x, int y, int x2, int y2, float *data, int front, int blend=0, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
int | SetRGBAPixelData (int x, int y, int x2, int y2, vtkFloatArray *data, int front, int blend=0, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
void | ReleaseRGBAPixelData (float *data) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
unsigned char * | GetRGBACharPixelData (int x, int y, int x2, int y2, int front, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
int | GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
int | SetRGBACharPixelData (int x, int y, int x2, int y2, unsigned char *data, int front, int blend=0, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
int | SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend=0, int right=0) override
| Set/Get the pixel data of an image, transmitted as RGBARGBA... More...
float * | GetZbufferData (int x1, int y1, int x2, int y2) override
| Set/Get the zbuffer data from an image. More...
int | GetZbufferData (int x1, int y1, int x2, int y2, float *z) override
| Set/Get the zbuffer data from an image. More...
int | GetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *buffer) override
| Set/Get the zbuffer data from an image. More...
int | SetZbufferData (int x1, int y1, int x2, int y2, float *buffer) override
| Set/Get the zbuffer data from an image. More...
int | SetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *buffer) override
| Set/Get the zbuffer data from an image. More...
virtual vtkOpenGLFramebufferObject * | GetRenderFramebuffer ()
| Returns the render framebuffer object. More...
void | BlitToRenderFramebuffer (bool includeDepth)
| Blit the currently bound read buffer to the renderbuffer. More...
void | BlitToRenderFramebuffer (int srcX, int srcY, int srcWidth, int srcHeight, int destX, int destY, int destWidth, int destHeight, int bufferMode, int interpolation)
| Blit the currently bound read buffer to the renderbuffer. More...
virtual void | SetFrameBlitMode (FrameBlitModes)
| SetGet how to handle blits at the end of a Frame() call. More...
virtual FrameBlitModes | GetFrameBlitMode ()
| SetGet how to handle blits at the end of a Frame() call. More...
void | SetFrameBlitModeToBlitToHardware ()
| SetGet how to handle blits at the end of a Frame() call. More...
void | SetFrameBlitModeToBlitToCurrent ()
| SetGet how to handle blits at the end of a Frame() call. More...
void | SetFrameBlitModeToNoBlit ()
| SetGet how to handle blits at the end of a Frame() call. More...
virtual void | SetFramebufferFlipY (bool)
| Enable/Disable flipping the Y axis of the rendered texture. More...
virtual bool | GetFramebufferFlipY ()
| Enable/Disable flipping the Y axis of the rendered texture. More...
virtual void | FramebufferFlipYOn ()
| Enable/Disable flipping the Y axis of the rendered texture. More...
virtual void | FramebufferFlipYOff ()
| Enable/Disable flipping the Y axis of the rendered texture. More...
virtual void | TextureDepthBlit (vtkTextureObject *source)
virtual void | TextureDepthBlit (vtkTextureObject *source, int srcX, int srcY, int srcX2, int srcY2)
virtual void | TextureDepthBlit (vtkTextureObject *source, int srcX, int srcY, int srcX2, int srcY2, int destX, int destY, int destX2, int destY2)
Public Member Functions inherited from vtkRenderWindow
vtkRenderWindow * | NewInstance () const
virtual void | AddRenderer (vtkRenderer *)
| Add a renderer to the list of renderers. More...
void | RemoveRenderer (vtkRenderer *)
| Remove a renderer from the list of renderers. More...
vtkTypeBool | HasRenderer (vtkRenderer *)
| Query if a renderer is in the list of renderers. More...
| vtkGetNewMacro (RenderTimer, vtkRenderTimerLog)
| Get the render timer log for this window. More...
vtkRendererCollection * | GetRenderers ()
| Return the collection of renderers in the render window. More...
void | CaptureGL2PSSpecialProps (vtkCollection *specialProps)
| The GL2PS exporter must handle certain props in a special way (e.g. More...
virtual void | CopyResultFrame ()
| Performed at the end of the rendering process to generate image. More...
virtual vtkRenderWindowInteractor * | MakeRenderWindowInteractor ()
| Create an interactor to control renderers in this window. More...
virtual void | StereoUpdate ()
| Update the system, if needed, due to stereo rendering. More...
virtual void | StereoRenderComplete ()
| Handles work required once both views have been rendered when using stereo rendering. More...
virtual int | CheckInRenderStatus ()
| Are we rendering at the moment. More...
virtual void | ClearInRenderStatus ()
| Clear status (after an exception was thrown for example) More...
virtual void | SetInteractor (vtkRenderWindowInteractor *)
| Set the interactor to the render window. More...
void | UnRegister (vtkObjectBase *o) override
| This Method detects loops of RenderWindow<->Interactor, so objects are freed properly. More...
virtual void | SetForceMakeCurrent ()
| If called, allow MakeCurrent() to skip cache-check when called. More...
virtual int | GetNumberOfDevices ()
| Returns the number of devices (graphics cards) on a system. More...
virtual void | GetPhysicalToWorldMatrix (vtkMatrix4x4 *matrix)
| Get physical to world transform matrix. More...
virtual bool | GetDeviceToWorldMatrixForDevice (vtkEventDataDevice device, vtkMatrix4x4 *deviceToWorldMatrix)
| Store in `deviceToWorldMatrix` the matrix that goes from device coordinates to world coordinates. More...
virtual int | GetCapturingGL2PSSpecialProps ()
| Returns true if the render process is capturing text actors. More...
virtual int | GetCurrentCursor ()
| Change the shape of the cursor. More...
| vtkSetFilePathMacro (CursorFileName)
| Set/Get the full path to the custom cursor. More...
| vtkGetFilePathMacro (CursorFileName)
| Set/Get the full path to the custom cursor. More...
virtual vtkTypeBool | GetFullScreen ()
| Turn on/off rendering full screen window size. More...
virtual void | FullScreenOn ()
| Turn on/off rendering full screen window size. More...
virtual void | FullScreenOff ()
| Turn on/off rendering full screen window size. More...
virtual void | SetBorders (vtkTypeBool)
| Turn on/off window manager borders. More...
virtual vtkTypeBool | GetBorders ()
| Turn on/off window manager borders. More...
virtual void | BordersOn ()
| Turn on/off window manager borders. More...
virtual void | BordersOff ()
| Turn on/off window manager borders. More...
virtual vtkTypeBool | GetStereoCapableWindow ()
| Prescribe that the window be created in a stereo-capable mode. More...
virtual void | StereoCapableWindowOn ()
| Prescribe that the window be created in a stereo-capable mode. More...
virtual void | StereoCapableWindowOff ()
| Prescribe that the window be created in a stereo-capable mode. More...
virtual vtkTypeBool | GetStereoRender ()
| Turn on/off stereo rendering. More...
void | SetStereoRender (vtkTypeBool stereo)
| Turn on/off stereo rendering. More...
virtual void | StereoRenderOn ()
| Turn on/off stereo rendering. More...
virtual void | StereoRenderOff ()
| Turn on/off stereo rendering. More...
virtual void | SetAlphaBitPlanes (vtkTypeBool)
| Turn on/off the use of alpha bitplanes. More...
virtual vtkTypeBool | GetAlphaBitPlanes ()
| Turn on/off the use of alpha bitplanes. More...
virtual void | AlphaBitPlanesOn ()
| Turn on/off the use of alpha bitplanes. More...
virtual void | AlphaBitPlanesOff ()
| Turn on/off the use of alpha bitplanes. More...
virtual void | SetPointSmoothing (vtkTypeBool)
| Turn on/off point smoothing. More...
virtual vtkTypeBool | GetPointSmoothing ()
| Turn on/off point smoothing. More...
virtual void | PointSmoothingOn ()
| Turn on/off point smoothing. More...
virtual void | PointSmoothingOff ()
| Turn on/off point smoothing. More...
virtual void | SetLineSmoothing (vtkTypeBool)
| Turn on/off line smoothing. More...
virtual vtkTypeBool | GetLineSmoothing ()
| Turn on/off line smoothing. More...
virtual void | LineSmoothingOn ()
| Turn on/off line smoothing. More...
virtual void | LineSmoothingOff ()
| Turn on/off line smoothing. More...
virtual void | SetPolygonSmoothing (vtkTypeBool)
| Turn on/off polygon smoothing. More...
virtual vtkTypeBool | GetPolygonSmoothing ()
| Turn on/off polygon smoothing. More...
virtual void | PolygonSmoothingOn ()
| Turn on/off polygon smoothing. More...
virtual void | PolygonSmoothingOff ()
| Turn on/off polygon smoothing. More...
virtual int | GetStereoType ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoType (int)
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToCrystalEyes ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToRedBlue ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToInterlaced ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToLeft ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToRight ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToDresden ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToAnaglyph ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToCheckerboard ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToSplitViewportHorizontal ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToFake ()
| Set/Get what type of stereo rendering to use. More...
void | SetStereoTypeToEmulate ()
| Set/Get what type of stereo rendering to use. More...
virtual void | SetAnaglyphColorSaturation (float)
| Set/get the anaglyph color saturation factor. More...
virtual float | GetAnaglyphColorSaturation ()
| Set/get the anaglyph color saturation factor. More...
virtual void | SetAnaglyphColorMask (int, int)
| Set/get the anaglyph color mask values. More...
void | SetAnaglyphColorMask (int[2])
| Set/get the anaglyph color mask values. More...
virtual int * | GetAnaglyphColorMask ()
| Set/get the anaglyph color mask values. More...
virtual void | GetAnaglyphColorMask (int data[2])
| Set/get the anaglyph color mask values. More...
virtual void | SetSwapBuffers (vtkTypeBool)
| Turn on/off buffer swapping between images. More...
virtual vtkTypeBool | GetSwapBuffers ()
| Turn on/off buffer swapping between images. More...
virtual void | SwapBuffersOn ()
| Turn on/off buffer swapping between images. More...
virtual void | SwapBuffersOff ()
| Turn on/off buffer swapping between images. More...
float | GetZbufferDataAtPoint (int x, int y)
| Set/Get the zbuffer data from the frame buffer. More...
virtual int | GetNeverRendered ()
| This flag is set if the window hasn't rendered since it was created. More...
virtual int | GetAbortRender ()
| This is a flag that can be set to interrupt a rendering that is in progress. More...
virtual void | SetAbortRender (int)
| This is a flag that can be set to interrupt a rendering that is in progress. More...
virtual int | GetInAbortCheck ()
| This is a flag that can be set to interrupt a rendering that is in progress. More...
virtual void | SetInAbortCheck (int)
| This is a flag that can be set to interrupt a rendering that is in progress. More...
virtual int | CheckAbortStatus ()
| This is a flag that can be set to interrupt a rendering that is in progress. More...
virtual void | SetDesiredUpdateRate (double)
| Set/Get the desired update rate. More...
virtual double | GetDesiredUpdateRate ()
| Set/Get the desired update rate. More...
virtual int | GetNumberOfLayers ()
| Get the number of layers for renderers. More...
virtual void | SetNumberOfLayers (int)
| Get the number of layers for renderers. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| Get the interactor associated with this render window. More...
virtual void | SetSharedRenderWindow (vtkRenderWindow *)
| Set/Get an already existing window that this window should share data with if possible. More...
virtual vtkRenderWindow * | GetSharedRenderWindow ()
| Set/Get an already existing window that this window should share data with if possible. More...
virtual int | GetMultiSamples ()
| Set / Get the number of multisamples to use for hardware antialiasing. More...
virtual void | SetStencilCapable (vtkTypeBool)
| Set / Get the availability of the stencil buffer. More...
virtual vtkTypeBool | GetStencilCapable ()
| Set / Get the availability of the stencil buffer. More...
virtual void | StencilCapableOn ()
| Set / Get the availability of the stencil buffer. More...
virtual void | StencilCapableOff ()
| Set / Get the availability of the stencil buffer. More...
virtual void | SetDeviceIndex (int)
| If there are several graphics card installed on a system, this index can be used to specify which card you want to render to. More...
virtual int | GetDeviceIndex ()
| If there are several graphics card installed on a system, this index can be used to specify which card you want to render to. More...
virtual bool | GetUseSRGBColorSpace ()
| Set/Get if we want this window to use the sRGB color space. More...
virtual void | SetUseSRGBColorSpace (bool)
| Set/Get if we want this window to use the sRGB color space. More...
virtual void | UseSRGBColorSpaceOn ()
| Set/Get if we want this window to use the sRGB color space. More...
virtual void | UseSRGBColorSpaceOff ()
| Set/Get if we want this window to use the sRGB color space. More...
const char * | GetStereoTypeAsString ()
| Returns the stereo type as a string. More...
Public Member Functions inherited from vtkWindow
vtkWindow * | NewInstance () const
int * | GetActualSize ()
| GetSize() returns the size * this->TileScale, whereas this method returns the size without multiplying with the tile scale. More...
vtkTypeBool | GetOffScreenRendering ()
| Deprecated, directly use GetShowWindow and GetOffScreenBuffers instead. More...
virtual vtkTypeBool | GetMapped ()
| Keep track of whether the rendering window has been mapped to screen. More...
virtual bool | GetShowWindow ()
| Show or not Show the window. More...
virtual void | ShowWindowOn ()
| Show or not Show the window. More...
virtual void | ShowWindowOff ()
| Show or not Show the window. More...
virtual void | SetUseOffScreenBuffers (bool)
| Render to an offscreen destination such as a framebuffer. More...
virtual bool | GetUseOffScreenBuffers ()
| Render to an offscreen destination such as a framebuffer. More...
virtual void | UseOffScreenBuffersOn ()
| Render to an offscreen destination such as a framebuffer. More...
virtual void | UseOffScreenBuffersOff ()
| Render to an offscreen destination such as a framebuffer. More...
virtual void | SetErase (vtkTypeBool)
| Turn on/off erasing the screen between images. More...
virtual vtkTypeBool | GetErase ()
| Turn on/off erasing the screen between images. More...
virtual void | EraseOn ()
| Turn on/off erasing the screen between images. More...
virtual void | EraseOff ()
| Turn on/off erasing the screen between images. More...
virtual void | SetDoubleBuffer (vtkTypeBool)
| Keep track of whether double buffering is on or off. More...
virtual vtkTypeBool | GetDoubleBuffer ()
| Keep track of whether double buffering is on or off. More...
virtual void | DoubleBufferOn ()
| Keep track of whether double buffering is on or off. More...
virtual void | DoubleBufferOff ()
| Keep track of whether double buffering is on or off. More...
virtual char * | GetWindowName ()
| Get name of rendering window. More...
virtual int | GetDPI ()
| Return a best estimate to the dots per inch of the display device being rendered (or printed). More...
virtual void | SetDPI (int)
| Return a best estimate to the dots per inch of the display device being rendered (or printed). More...
void | SetOffScreenRendering (vtkTypeBool val)
| Convenience to set SHowWindow and UseOffScreenBuffers in one call. More...
virtual void | OffScreenRenderingOn ()
| Convenience to set SHowWindow and UseOffScreenBuffers in one call. More...
virtual void | OffScreenRenderingOff ()
| Convenience to set SHowWindow and UseOffScreenBuffers in one call. More...
virtual void | SetTileScale (int, int)
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
void | SetTileScale (int[2])
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual int * | GetTileScale ()
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual void | GetTileScale (int &, int &)
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual void | GetTileScale (int[2])
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
void | SetTileScale (int s)
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual void | SetTileViewport (double, double, double, double)
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual void | SetTileViewport (double[4])
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual double * | GetTileViewport ()
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual void | GetTileViewport (double &, double &, double &, double &)
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
virtual void | GetTileViewport (double[4])
| These methods are used by vtkWindowToImageFilter to tell a VTK window to simulate a larger window by tiling. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkWin32OpenGLDXRenderWindow * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkWin32OpenGLDXRenderWindow * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkWin32OpenGLRenderWindow
static vtkWin32OpenGLRenderWindow * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkWin32OpenGLRenderWindow * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkOpenGLRenderWindow
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOpenGLRenderWindow * | SafeDownCast (vtkObjectBase *o)
static void | SetGlobalMaximumNumberOfMultiSamples (int val)
| Set/Get the maximum number of multisamples. More...
static int | GetGlobalMaximumNumberOfMultiSamples ()
| Set/Get the maximum number of multisamples. More...
Static Public Member Functions inherited from vtkRenderWindow
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderWindow * | SafeDownCast (vtkObjectBase *o)
static vtkRenderWindow * | New ()
| Construct an instance of vtkRenderWindow with its screen size set to 300x300, borders turned on, positioned at (0,0), double buffering turned on. More...
static const char * | GetRenderLibrary ()
| What rendering library has the user requested. More...
static const char * | GetStereoTypeAsString (int type)
| Returns the stereo type as a string. More...
Static Public Member Functions inherited from vtkWindow
static vtkTypeBool | IsTypeOf (const char *type)
static vtkWindow * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkWin32OpenGLDXRenderWindow ()
| ~vtkWin32OpenGLDXRenderWindow () override
Protected Member Functions inherited from vtkWin32OpenGLRenderWindow
| vtkWin32OpenGLRenderWindow ()
| ~vtkWin32OpenGLRenderWindow () override
virtual LRESULT | MessageProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
void | ResizeWhileOffscreen (int xsize, int ysize)
void | CreateAWindow () override
| Create a not-off-screen window. More...
void | DestroyWindow () override
| Destroy a not-off-screen window. More...
void | InitializeApplication ()
void | CleanUpRenderers ()
void | VTKRegisterClass ()
Protected Member Functions inherited from vtkOpenGLRenderWindow
| vtkOpenGLRenderWindow ()
| ~vtkOpenGLRenderWindow () override
virtual void | BlitDisplayFramebuffersToHardware ()
virtual bool | ResolveFlipRenderFramebuffer ()
bool | ReadDepthComponent (int depthSize)
virtual int | ReadPixels (const vtkRecti &rect, int front, int glFormat, int glType, void *data, int right=0)
int | CreateFramebuffers (int width, int height)
| Create the offScreen framebuffer Return if the creation was successful or not. More...
void | SaveGLState ()
| Query and save OpenGL state. More...
void | RestoreGLState ()
| Restore OpenGL state at end of the rendering. More...
Protected Member Functions inherited from vtkRenderWindow
| vtkRenderWindow ()
| ~vtkRenderWindow () override
virtual void | DoStereoRender ()
Protected Member Functions inherited from vtkWindow
| vtkWindow ()
| ~vtkWindow () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Public Attributes inherited from vtkOpenGLRenderWindow
std::set< vtkGenericOpenGLResourceFreeCallback * > | Resources
Static Protected Member Functions inherited from vtkWin32OpenGLRenderWindow
static LRESULT APIENTRY | WndProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkWin32OpenGLRenderWindow
HINSTANCE | ApplicationInstance
HPALETTE | Palette
HPALETTE | OldPalette
HGLRC | ContextId
HDC | DeviceContext
BOOL | MFChandledWindow
HWND | WindowId
HWND | ParentId
HWND | NextWindowId
vtkTypeBool | OwnWindow
vtkTypeBool | Resizing
vtkTypeBool | Repositioning
std::stack< HGLRC > | ContextStack
std::stack< HDC > | DCStack
vtkTypeBool | CursorHidden
vtkTypeBool | ForceMakeCurrent
int | WindowIdReferenceCount
Protected Attributes inherited from vtkOpenGLRenderWindow
FrameBlitModes | FrameBlitMode
vtkOpenGLQuadHelper * | ResolveQuad
vtkOpenGLQuadHelper * | DepthBlitQuad
vtkOpenGLQuadHelper * | FlipQuad
vtkOpenGLQuadHelper * | DepthReadQuad
bool | FramebufferFlipY
bool | OpenGLSupportTested
int | OpenGLSupportResult
std::string | OpenGLSupportMessage
vtkOpenGLFramebufferObject * | RenderFramebuffer
vtkOpenGLFramebufferObject * | DisplayFramebuffer
vtkOpenGLFramebufferObject * | ResolveFramebuffer
vtkOpenGLFramebufferObject * | DepthFramebuffer
std::map< std::string, int > | GLStateIntegers
vtkTypeBool | OwnContext
| Flag telling if the context has been created here or was inherited. More...
vtkTimeStamp | ContextCreationTime
vtkTextureObject * | DrawPixelsTextureObject
bool | Initialized
bool | GlewInitValid
float | MaximumHardwareLineWidth
char * | Capabilities
vtkOpenGLBufferObject * | TQuad2DVBO
vtkTextureObject * | NoiseTextureObject
double | FirstRenderTime
int | LastMultiSamples
int | ScreenSize [2]
Protected Attributes inherited from vtkRenderWindow
vtkRendererCollection * | Renderers
vtkNew< vtkRenderTimerLog > | RenderTimer
vtkTypeBool | Borders
vtkTypeBool | FullScreen
int | OldScreen [5]
vtkTypeBool | PointSmoothing
vtkTypeBool | LineSmoothing
vtkTypeBool | PolygonSmoothing
vtkTypeBool | StereoRender
int | StereoType
vtkTypeBool | StereoCapableWindow
vtkTypeBool | AlphaBitPlanes
vtkRenderWindowInteractor * | Interactor
vtkSmartPointer< vtkUnsignedCharArray > | StereoBuffer
vtkSmartPointer< vtkUnsignedCharArray > | ResultFrame
vtkTypeBool | SwapBuffers
double | DesiredUpdateRate
int | AbortRender
int | InAbortCheck
int | InRender
int | NeverRendered
int | NumberOfLayers
int | CurrentCursor
float | AnaglyphColorSaturation
int | AnaglyphColorMask [2]
int | MultiSamples
vtkTypeBool | StencilCapable
int | CapturingGL2PSSpecialProps
int | DeviceIndex
bool | UseSRGBColorSpace
char * | CursorFileName
double | AbortCheckTime
| The universal time since the last abort check occurred. More...
vtkRenderWindow * | SharedRenderWindow
Protected Attributes inherited from vtkWindow
char * | WindowName
int | Size [2]
int | Position [2]
vtkTypeBool | Mapped
bool | ShowWindow
bool | UseOffScreenBuffers
vtkTypeBool | Erase
vtkTypeBool | DoubleBuffer
int | DPI
double | TileViewport [4]
int | TileSize [2]
int | TileScale [2]
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
Static Protected Attributes inherited from vtkWin32OpenGLRenderWindow
static const std::string | DEFAULT_BASE_WINDOW_NAME

## Detailed Description

VTK render window providing OpenGL-DirectX interop.

This vtkWin32OpenGLRenderWindow subclass allows for rendering in a texture that is shared between an OpenGL and a D3D context, using the NVidia NV_DX_interop extension.

Tests:
  vtkWin32OpenGLDXRenderWindow (Tests)

Definition at line 27 of file vtkWin32OpenGLDXRenderWindow.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkWin32OpenGLRenderWindow vtkWin32OpenGLDXRenderWindow::Superclass

Definition at line 31 of file vtkWin32OpenGLDXRenderWindow.h.

## Constructor & Destructor Documentation

## ◆ vtkWin32OpenGLDXRenderWindow()

vtkWin32OpenGLDXRenderWindow::vtkWin32OpenGLDXRenderWindow | ( |  | ) |
| protected

## ◆ ~vtkWin32OpenGLDXRenderWindow()

vtkWin32OpenGLDXRenderWindow::~vtkWin32OpenGLDXRenderWindow | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkWin32OpenGLDXRenderWindow* vtkWin32OpenGLDXRenderWindow::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkWin32OpenGLDXRenderWindow::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkWin32OpenGLDXRenderWindow::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkWin32OpenGLRenderWindow.

## ◆ SafeDownCast()

static vtkWin32OpenGLDXRenderWindow* vtkWin32OpenGLDXRenderWindow::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkWin32OpenGLDXRenderWindow::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkWin32OpenGLRenderWindow.

## ◆ NewInstance()

vtkWin32OpenGLDXRenderWindow* vtkWin32OpenGLDXRenderWindow::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkWin32OpenGLDXRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkOpenGLRenderWindow.

## ◆ Initialize()

void vtkWin32OpenGLDXRenderWindow::Initialize | ( |  | ) |
| overridevirtual

Overridden to create the D3D device, context and texture.

Reimplemented from vtkOpenGLRenderWindow.

## ◆ Lock()

void vtkWin32OpenGLDXRenderWindow::Lock | ( |  | ) |

Lock/Unlock the shared texture.

The texture must be locked before rendering into it.

## ◆ Unlock()

void vtkWin32OpenGLDXRenderWindow::Unlock | ( |  | ) |

Lock/Unlock the shared texture.

The texture must be locked before rendering into it.

## ◆ RegisterSharedTexture()

void vtkWin32OpenGLDXRenderWindow::RegisterSharedTexture | ( | unsigned int | textureHandle | ) |

Register/Unregister the OpenGL texture designated by `textureHandle` with this render window internal D3D shared texture.

## ◆ UnregisterSharedTexture()

void vtkWin32OpenGLDXRenderWindow::UnregisterSharedTexture | ( |  | ) |

Register/Unregister the OpenGL texture designated by `textureHandle` with this render window internal D3D shared texture.

## ◆ SetSize()

void vtkWin32OpenGLDXRenderWindow::SetSize | ( | int | width,
|  | int | height
| ) |  |
| overridevirtual

Overridden to resize the internal D3D shared texture.

Reimplemented from vtkWindow.

## ◆ SetMultiSamples()

void vtkWin32OpenGLDXRenderWindow::SetMultiSamples | ( | int | samples | ) |
| overridevirtual

Overridden to update the internal D3D shared texture.

Reimplemented from vtkRenderWindow.

## ◆ BlitToTexture()

void vtkWin32OpenGLDXRenderWindow::BlitToTexture | ( | ID3D11Texture2D * | texture | ) |

Blits the internal D3D shared texture into `texture`.

## ◆ GetDevice()

ID3D11Device* vtkWin32OpenGLDXRenderWindow::GetDevice | ( |  | ) |

Returns the D3D device associated to this render window.

## ◆ GetD3DSharedTexture()

ID3D11Texture2D* vtkWin32OpenGLDXRenderWindow::GetD3DSharedTexture | ( |  | ) |

Returns the D3D texture shared with this render window.

## ◆ SetAdapterId()

void vtkWin32OpenGLDXRenderWindow::SetAdapterId | ( | LUID | uid | ) |
| inline

Specify the DGXI adapter to be used for initialization.

If left unspecified, the first available adapter is used.

Definition at line 97 of file vtkWin32OpenGLDXRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/OpenGL2/vtkWin32OpenGLDXRenderWindow.h